Debian Bug report logs - #636853
libapache-htpasswd-perl: Use Digest::SHA instead of Digest::SHA1 and drop dependencies on libdigest-sha1-perl

version graph

Package: src:libapache-htpasswd-perl; Maintainer for src:libapache-htpasswd-perl is Tatsuki Sugiura <sugi@nemui.org>;

Reported by: Salvatore Bonaccorso <carnil@debian.org>

Date: Sat, 6 Aug 2011 11:51:01 UTC

Severity: important

Tags: patch

Found in version libapache-htpasswd-perl/1.8-1

Fixed in version libapache-htpasswd-perl/1.8-1.1

Done: Salvatore Bonaccorso <carnil@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://rt.cpan.org/Ticket/Display.html?id=60267

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, carnil@debian.org, Tatsuki Sugiura <sugi@nemui.org>:
Bug#636853; Package src:libapache-htpasswd-perl. (Sat, 06 Aug 2011 11:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
New Bug report received and forwarded. Copy sent to carnil@debian.org, Tatsuki Sugiura <sugi@nemui.org>. (Sat, 06 Aug 2011 11:51:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libapache-htpasswd-perl: Use Digest::SHA instead of Digest::SHA1 and drop dependencies on libdigest-sha1-perl
Date: Sat, 06 Aug 2011 13:49:32 +0200
Source: libapache-htpasswd-perl
Version: 1.8-1
Severity: normal
User: debian-perl@lists.debian.org
Usertags: digest-sha-perl-transition
Forwarded: https://rt.cpan.org/Ticket/Display.html?id=60267

Hi

We from the Debian Perl Group would like to drop libdigest-sha1-perl
at some point, see [1]. Most of the functionality (except
sha1_transform) of Digest::SHA1 is also provided by Digest::SHA.
Switching from Digest::SHA1 to Digest::SHA should be in principle as
easy as substituting the use of Digest::SHA1 with Digest::SHA.

Digest::SHA is in Perl core since version 5.9.3 and thus is in
Debian's perl since Lenny.

Changing use of Digest::SHA1 to Digest::SHA would thus reduce external
dependencies by one.

 [1] http://deb.li/digestsha

On upstream RT Ansgar Burchardt posted a patch for this.

Could you change use of Digest::SHA1 to Digest::SHA and drop the
dependencies on libdigest-sha1-perl?

Regards,
Salvatore

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/8 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Tatsuki Sugiura <sugi@nemui.org>:
Bug#636853; Package src:libapache-htpasswd-perl. (Tue, 16 Aug 2011 18:54:25 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to Tatsuki Sugiura <sugi@nemui.org>. (Tue, 16 Aug 2011 18:54:25 GMT) Full text and rfc822 format available.

Message #10 received at 636853@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: control@bugs.debian.org
Cc: 625903@bugs.debian.org,625875@bugs.debian.org,625904@bugs.debian.org,636853@bugs.debian.org,636642@bugs.debian.org,636852@bugs.debian.org,636856@bugs.debian.org,630601@bugs.debian.org,636857@bugs.debian.org,625870@bugs.debian.org,624065@bugs.debian.org,629612@bugs.debian.org,debian-perl@lists.debian.org
Subject: Increase severity: libdigest-sha1-perl going to disappear
Date: Tue, 16 Aug 2011 20:51:15 +0200
# raising severity for remaining bugs to important
# libdigest-sha1-perl is going to disappear
# see: http://wiki.debian.org/Teams/DebianPerlGroup/OpenTasks/Transitions/DigestSHA1ToDigestSHA
severity 625903 important
severity 625875 important
severity 625904 important
severity 636853 important
severity 636642 important
severity 636852 important
severity 636856 important
severity 630601 important
severity 636857 important
severity 625870 important
severity 624065 important
severity 629612 important
thanks

Hi!

We from the Debian Perl Group whant to remove libdigest-sha1-perl soon. See [1]
for details. We thus would like to increase the severity to the remaining
bugreports to important.

 [1] http://wiki.debian.org/Teams/DebianPerlGroup/OpenTasks/Transitions/DigestSHA1ToDigestSHA

Regards
Salvatore, Debian Perl Group




Severity set to 'important' from 'normal' Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Tue, 16 Aug 2011 18:54:32 GMT) Full text and rfc822 format available.

Added indication that bug 636853 blocks 594273 Request was from Ansgar Burchardt <ansgar@debian.org> to control@bugs.debian.org. (Thu, 18 Aug 2011 08:16:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Tatsuki Sugiura <sugi@nemui.org>:
Bug#636853; Package src:libapache-htpasswd-perl. (Thu, 18 Aug 2011 21:33:56 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Hartman <hartmans@debian.org>:
Extra info received and forwarded to list. Copy sent to Tatsuki Sugiura <sugi@nemui.org>. (Thu, 18 Aug 2011 21:34:06 GMT) Full text and rfc822 format available.

Message #19 received at 636853@bugs.debian.org (full text, mbox):

From: Sam Hartman <hartmans@debian.org>
To: Salvatore Bonaccorso <carnil@debian.org>
Cc: 625903@bugs.debian.org, control@bugs.debian.org, 625875@bugs.debian.org, 625904@bugs.debian.org, 636853@bugs.debian.org, 636642@bugs.debian.org, 636852@bugs.debian.org, 636856@bugs.debian.org, 630601@bugs.debian.org, 636857@bugs.debian.org, 625870@bugs.debian.org, 624065@bugs.debian.org, 629612@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: Bug#625903: Increase severity: libdigest-sha1-perl going to disappear
Date: Thu, 18 Aug 2011 17:30:38 -0400
Hi.
I'm planning on getting to this issue Sunday.
If someone wants to NMU before then they are welcome.




Information forwarded to debian-bugs-dist@lists.debian.org, Tatsuki Sugiura <sugi@nemui.org>:
Bug#636853; Package src:libapache-htpasswd-perl. (Sat, 20 Aug 2011 08:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to Tatsuki Sugiura <sugi@nemui.org>. (Sat, 20 Aug 2011 08:09:06 GMT) Full text and rfc822 format available.

Message #24 received at 636853@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: 636853@bugs.debian.org
Subject: libapache-htpasswd-perl: diff for NMU version 1.8-1.1
Date: Sat, 20 Aug 2011 10:06:42 +0200
[Message part 1 (text/plain, inline)]
tags 636853 + patch
tags 636853 + pending
thanks

Dear maintainer,

I've prepared an NMU for libapache-htpasswd-perl (versioned as 1.8-1.1) and
uploaded it to DELAYED/10. Please feel free to tell me if I
should delay it longer.

Regards.
Salvatore
[libapache-htpasswd-perl-1.8-1.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Sat, 20 Aug 2011 08:09:08 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Sat, 20 Aug 2011 08:09:09 GMT) Full text and rfc822 format available.

Reply sent to Salvatore Bonaccorso <carnil@debian.org>:
You have taken responsibility. (Tue, 30 Aug 2011 09:36:17 GMT) Full text and rfc822 format available.

Notification sent to Salvatore Bonaccorso <carnil@debian.org>:
Bug acknowledged by developer. (Tue, 30 Aug 2011 09:36:43 GMT) Full text and rfc822 format available.

Message #33 received at 636853-close@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: 636853-close@bugs.debian.org
Subject: Bug#636853: fixed in libapache-htpasswd-perl 1.8-1.1
Date: Tue, 30 Aug 2011 09:34:03 +0000
Source: libapache-htpasswd-perl
Source-Version: 1.8-1.1

We believe that the bug you reported is fixed in the latest version of
libapache-htpasswd-perl, which is due to be installed in the Debian FTP archive:

libapache-htpasswd-perl_1.8-1.1.diff.gz
  to main/liba/libapache-htpasswd-perl/libapache-htpasswd-perl_1.8-1.1.diff.gz
libapache-htpasswd-perl_1.8-1.1.dsc
  to main/liba/libapache-htpasswd-perl/libapache-htpasswd-perl_1.8-1.1.dsc
libapache-htpasswd-perl_1.8-1.1_all.deb
  to main/liba/libapache-htpasswd-perl/libapache-htpasswd-perl_1.8-1.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 636853@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Salvatore Bonaccorso <carnil@debian.org> (supplier of updated libapache-htpasswd-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 20 Aug 2011 09:38:28 +0200
Source: libapache-htpasswd-perl
Binary: libapache-htpasswd-perl
Architecture: source all
Version: 1.8-1.1
Distribution: unstable
Urgency: low
Maintainer: Tatsuki Sugiura <sugi@nemui.org>
Changed-By: Salvatore Bonaccorso <carnil@debian.org>
Description: 
 libapache-htpasswd-perl - Manage Unix crypt-style password file
Closes: 636853
Changes: 
 libapache-htpasswd-perl (1.8-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * patch HTpasswd.pm, META.yml, Makefile.PL and test.pl to use
     Digest::SHA from perl core instead of Digest::SHA1. The patch also
     fixes the test to check for Digest::SHA instead of Digest::MD5 when
     testing SHA1-hashed passwords. Drop libdigest-sha1-perl from
     (Build-)Depends. (Closes: #636853).
Checksums-Sha1: 
 8bf28dcfd9cd25de6b0e039f9f634e71b0c432f0 1824 libapache-htpasswd-perl_1.8-1.1.dsc
 c9353de6790fa85c473d754ef22d9a48a274ffea 2617 libapache-htpasswd-perl_1.8-1.1.diff.gz
 5be5ba85bc7551f04c2d87e34d7087a53fea0834 16334 libapache-htpasswd-perl_1.8-1.1_all.deb
Checksums-Sha256: 
 435466b8a6f8cf5e5f84961e15c10658810998a7214547607586a57e3e78e9ac 1824 libapache-htpasswd-perl_1.8-1.1.dsc
 c63bf467912495ca80171c359c419eda07c459da08308184fddf2cef79a34c05 2617 libapache-htpasswd-perl_1.8-1.1.diff.gz
 01bfb54a5c4b9c4d6ff773b769bd6ecd9a3af6d3ea5266cc06f2e60d6af0ecc8 16334 libapache-htpasswd-perl_1.8-1.1_all.deb
Files: 
 e00e53dd325e90c46df9d5abaf41dddc 1824 perl optional libapache-htpasswd-perl_1.8-1.1.dsc
 878c9d5ad3b16417e98bdf7aa8372ac3 2617 perl optional libapache-htpasswd-perl_1.8-1.1.diff.gz
 f59126bdf1fc49e2fcebe22d60ae7acb 16334 perl optional libapache-htpasswd-perl_1.8-1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJOT2lrAAoJEHidbwV/2GP+EC0QAI3JFLfsecgii/u/WdyW1S4C
MTS80eZ5cARsSY6jd00nc/bpjrnRh6TvYbgo9p8EyCwdFCyTJ4zc0tSSovusTtaL
gVvPEryUe7J/HHIq/k61Xvls3BrzWif1tll2bFmhUEOuoxmFEYgt/LxgS1ceMfb+
9FVuNQbtwCkkfP/bL2NHbD74nhXhRZzseHn0FRPeqKWsDKB9JIxEQjW12nQHYtKh
GYr0aKpdZ2iZ/knYeEmOz4uWn6OOYQmujvamET2PZ4JN3JkfnHJYwQv5nVhgE3Gn
RHoPqH9iZmxxy8pq2oB0VPi42zkSnvAixS5PqLC4zyXz06nvIKU42v5IOh5frTlR
FgdlfSJYgdczUeRNrTLb+kTa79y9A6qv4igBc2CrvQ8dJ00crYu9yXuy5raNGiCE
11kDNJ5ldbf8tJLB5hCcLOnvbQaFxEr/XgqM8gDS/9WvdgjLy7XKVah3ImQphUyZ
eyU9C6pHigr8CUqauQ7S0HV31XUx2ulF5h+VpavLuo7E8QkZmxWI11nMwqlQVb6a
MELKsewLBqmMRGM2d+0d+YD/FiMrOV4D6N+/zHLqtQfFWayIliC9gDtT5e7wumAO
ql8UmBtI7hiMCjhklvHfXNBDkLeAIUXRmFGBtOaZDcCie14MeeUvT3n5211ousjM
yPkLCcXz51Q0oQjw6TQX
=Kplp
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 08 Oct 2011 07:33:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:19:08 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.